package thb.jeanluc.adventure.game;

import org.junit.jupiter.api.Test;
import static org.assertj.core.api.Assertions.assertThat;

class GameStateTest {
    @Test
    void setIsSetClear() {
        GameState s = new GameState();
        assertThat(s.isSet("power_on")).isFalse();
        s.set("power_on");
        assertThat(s.isSet("power_on")).isTrue();
        s.clear("power_on");
        assertThat(s.isSet("power_on")).isFalse();
    }
}
